<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CCountryCDXMax
{
    /**
     * @var string
     */
    private $country;

    /**
     * @var float
     */
    private $max;

    /**
     * @var string
     */
    private $curr;

    public function getCountry(): string
    {
        return $this->country;
    }

    public function withCountry(string $country): CCountryCDXMax
    {
        $new = clone $this;
        $new->country = $country;

        return $new;
    }

    public function getMax(): float
    {
        return $this->max;
    }

    public function withMax(float $max): CCountryCDXMax
    {
        $new = clone $this;
        $new->max = $max;

        return $new;
    }

    public function getCurr(): string
    {
        return $this->curr;
    }

    public function withCurr(string $curr): CCountryCDXMax
    {
        $new = clone $this;
        $new->curr = $curr;

        return $new;
    }
}
